Bug 1119362 - (6.4.0) Invalid behavior of FormAuthUnitTestCase testPostDataFormAuth causing it to pass even when it should fail
Summary: (6.4.0) Invalid behavior of FormAuthUnitTestCase testPostDataFormAuth causing...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR1
: EAP 6.4.0
Assignee: jboss-set
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks: 1128042
TreeView+ depends on / blocked
 
Reported: 2014-07-14 15:29 UTC by Radim Hatlapatka
Modified: 2019-08-19 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1128042 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Radim Hatlapatka 2014-07-14 15:29:16 UTC
FormAuthUnitTestCase testPostDataFormAuth passes even though it should fail. Due typo it redirects to original URL instead of the one retrieved from header resulting in invalid behavior.

Comment 1 Radim Hatlapatka 2014-07-14 15:58:10 UTC
The same issue in upstream is tracked in https://issues.jboss.org/browse/WFLY-3621

Comment 2 Radim Hatlapatka 2014-07-14 16:01:57 UTC
Created pull request with a fix https://github.com/jbossas/jboss-eap/pull/1517

Comment 3 Radim Hatlapatka 2014-07-14 16:25:52 UTC
Because of this issue https://bugzilla.redhat.com/show_bug.cgi?id=1030050 wasn't detected in time.

Comment 4 Petr Kremensky 2014-09-26 10:55:43 UTC
Verified on EAP 6.4.0.DR2


Note You need to log in before you can comment on or make changes to this bug.